{% extends "layout.html" %} {% block content %}
<h1>Add New Posts</h1>
<div class="container">
  {% if form.errors %} {% for field in form %} {% for error in field.errors %}
  <div class="alert alert-danger">
    <strong>{{ error|escape }}</strong>
  </div>
  {% endfor %} {% endfor %} {% for error in form.non_field_errors %}
  <div class="alert alert-danger">
    <strong>{{ error|escape }}</strong>
  </div>
  {% endfor %} {% endif %}
</div>

<form method="post">
  {% csrf_token %}
  <div class="mb-3">
    <label for="exampleFormControlInput1" class="form-label">Title</label>
    <input
      type="text"
      class="form-control"
      name="title"
      placeholder="Input title"
      value="{{post.title}}"
    />
  </div>
  <div class="mb-3">
    <label for="exampleFormControlTextarea1" class="form-label">Body</label>
    <textarea class="form-control" name="body" rows="3">{{post.body}}</textarea>
  </div>
  <div class="mb-3">
    <label for="exampleFormControlInput1" class="form-label">Slug</label>
    <input
      type="text"
      class="form-control"
      name="slug"
      placeholder="Input Slug"
      value="{{post.slug}}"
    />
  </div>

  <input type="button" onclick="window.history.back()" value="Back" />

  <input type="submit" value="Save" />
</form>

{% endblock %}
